/*
 * DiceGamePlayer.h
 */

#ifndef dicegame_DiceGamePlayer_h
#define dicegame_DiceGamePlayer_h

#include <string>

class DiceGamePlayer
{
  public:
	DiceGamePlayer(const std::string& name = "");

	std::string getName() const { return m_name; }
	int getWins() const { return m_wins; }
	int getLosses() const { return m_losses; }

	void winGame();
	void loseGame();

  private:
	std::string m_name;
	int m_wins;
	int m_losses;
};

#endif /* !dicegame_DiceGamePlayer_h */
